Sign in

Create Store

POST https://{organization}.myguper.com/api/register/store

Cria uma loja na organização. name é o único campo obrigatório.

interface + refId formam o par usado pelo middleware para resolver a loja a partir de IDs externos (VTEX, ERP etc.).

Try-it values populated from environment ACME (Demo)


Authentication

Token

Send your user token in the x-guper-authorization header.

Headers

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Request body

Content-Type: application/json

{
    "name": "Loja 3",
    "refId": "L-003",                                           // optional
    "interface": "vtex"                                         // optional
}

Responses

{
    "id": 22,
    "name": "Loja 3",
    "refId": "L-003",
    "interface": "vtex"
}
Copied to clipboard